[build-system]
requires = ["setuptools >= 77.0.3"]
build-backend = "setuptools.build_meta"

[project]
name = "ptk"
description = "LR(1) parsing framework for Python"
authors = [
  {name = "Jérôme Laheurte", email = "jerome@jeromelaheurte.net"},
]
keywords = ["parser", "parsing", "compiler", "lr", "slr"]
classifiers = [
  "Development Status :: 5 - Production/Stable",
  "Intended Audience :: Developers",
  "Operating System :: OS Independent",
  "Programming Language :: Python",
  "Topic :: Software Development :: Compilers",
  "Topic :: Software Development :: Libraries :: Python Modules",
]
license = "LGPL-3.0-or-later"
license-files = ["LICENSE.txt"]
readme = "README.rst"
dynamic = ["version"]

[project.urls]
Homepage = "https://codeberg.org/fraca7/ptk"
Bug-Database = "https://codeberg.org/fraca7/ptk/issues"
Bug-Submit = "https://codeberg.org/fraca7/ptk/issues/new"
Changelog = "https://codeberg.org/fraca7/ptk/src/branch/master/README.md"
Repository-Browse = "https://codeberg.org/fraca7/ptk"
Repository = "https://codeberg.org/fraca7/ptk.git"

# Autodetection expects src/ptk/ samples/
# or                    ptk/     examples/
# but is confused by    ptk/     samples/
[tool.setuptools]
packages = ["ptk"]

[tool.setuptools.dynamic]
version = {attr = "ptk.version"}
